Bug 7828 - On circulation home page, URL to offline circulation Firefox addon should be a hyperlink
Summary: On circulation home page, URL to offline circulation Firefox addon should be ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 14:41 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7828 - On circulation home page, URL to offline circulation Firefox addon should be a hyperlink (1.45 KB, patch)
2012-04-11 12:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7828 - On circulation home page, URL to offline circulation Firefox addon should be a hyperlink (1.53 KB, patch)
2012-04-11 17:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-03-26 14:41:39 UTC
The URL for the Firefox addon is not a hyperlink so users can't navigate to the site with one click.
Comment 1 Owen Leonard 2012-04-11 12:42:51 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-04-11 17:48:45 UTC
Created attachment 9124 [details] [review]
[SIGNED-OFF] Bug 7828 - On circulation home page, URL to offline circulation Firefox addon should be a hyperlink

Along with making the URL a hyperlink I removed the lanugage
part of the URL ("/fr/"). The link correctly redirects to 'en'
for me. I'm curious whether it will for other languages.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Link works and redirects to my langauge (english).
Comment 3 Marcel de Rooy 2012-04-16 07:55:41 UTC
QA Comment: Looks good to me. Not sure if the link will work for all variations of staff client language. (Do not have e.g. nl-NL on my staff client, but addons.mozilla.org redirected nl-NL to ../nl/.. Probably HTTP_ACCEPT_LANGUAGE or so.) The same will hold for main languages like de-DE and fr-FR.
Since there was no link at first, and it will probably work for most languages and broken links can be fixed with a followup, I'm marking it as Passed QA.
No translation issues.
Comment 4 Paul Poulain 2012-04-19 09:24:19 UTC
patch pushed (and yes, if your browser if in french, you're redirected to fr page)